Community
Showing results for 
Search instead for 
Do you mean 
Reply

Error: "The database cannot be restored because it was backed up on a newer version of SQL Server"

New Member
Posts: 3
Country: USA

Error: "The database cannot be restored because it was backed up on a newer version of SQL Server"

I recently had to rebuild my computer and in doing so, I am now unable to restore my database.

When I try to use the Restore As option on a backed up copy of my database, I receive the following error:

 

"The database cannot be restored because it was backed up on a newer version of SQL Server" 

 

I have checked the ActDiag and I am running Microsoft SQL Server 2005 - Express Edition, SP3, Build 9.00.4035.00.

My version of Act is:  ACT! by Sage Premium 2010 Version 12.1.181.0, Hot Fix 5.

 

Not a lot of information is available on this error, and I am hoping someone can help me resolve this issue.  I was considering purchasing Act 2012 in the hopes that somehow the Act7 instance got put on a 2008 R2 SQL Server.

 

Please help!  I have been struggling with this issues for a week now....

Platinum Super Contributor
Posts: 5,275
Country: USA

Re: Error: "The database cannot be restored because it was backed up on a newer version of SQL Server"

Hello KimESherwood,

Welcome to the Sage ACT! Online Community!

 

Unfortunately we don't have a method for determining the version of SQL that was used to create the backup.  The version of SQL 2005 you have listed is Service Pack 3, there is a Service Pack 4 for SQL 2005 - that could have been the version.  It is also possible that you previously had SQL 2008 in use.  Upgrading is certainly an option because it will install SQL 2008 R2 and be the most recent available version of SQL.  

 

Alternate option:

If you have a test machine, or want to try it on your main computer, you can try the following:

- uninstall ACT! 2010 and SQL 2005

- download SQL 2008 R2 installation file from Microsoft 

- use the instructions in the article below to install SQL 2008 R2 and create the ACT7 instance

- install ACT! 2010 (it should recognize the 2008 R2 ACT7 instance)

- restore backup file

 

Manually create Microsoft SQL Server 2008 R2 ACT7 instance

Note: article contains a link to download SQL 2008 R2.

Greg Martin
Sage
New Member
Posts: 3
Country: USA

Re: Error: "The database cannot be restored because it was backed up on a newer version of SQL Server"

Thanks GMarting,

 

I did upgrade to SQL Server 2005, Service Pack 4 and created an instance for the Act7 database, which was unsuccessful.

I tried to add and instance in 2008 R2, but it said that the Act7 instance was already in use.

 

I am going to uninstall everything and try to your method in the sequence you listed. 

 

More to follow...